package org.apache.bcel.classfile;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import org.apache.bcel.classfile.AnnotationDefault;
import org.apache.bcel.classfile.AnnotationEntry;
import org.apache.bcel.classfile.Annotations;
import org.apache.bcel.classfile.BootstrapMethods;
import org.apache.bcel.classfile.Code;
import org.apache.bcel.classfile.CodeException;
import org.apache.bcel.classfile.ConstantClass;
import org.apache.bcel.classfile.ConstantDouble;
import org.apache.bcel.classfile.ConstantDynamic;
import org.apache.bcel.classfile.ConstantFieldref;
import org.apache.bcel.classfile.ConstantFloat;
import org.apache.bcel.classfile.ConstantInteger;
import org.apache.bcel.classfile.ConstantInterfaceMethodref;
import org.apache.bcel.classfile.ConstantInvokeDynamic;
import org.apache.bcel.classfile.ConstantLong;
import org.apache.bcel.classfile.ConstantMethodHandle;
import org.apache.bcel.classfile.ConstantMethodType;
import org.apache.bcel.classfile.ConstantMethodref;
import org.apache.bcel.classfile.ConstantModule;
import org.apache.bcel.classfile.ConstantNameAndType;
import org.apache.bcel.classfile.ConstantPackage;
import org.apache.bcel.classfile.ConstantPool;
import org.apache.bcel.classfile.ConstantString;
import org.apache.bcel.classfile.ConstantUtf8;
import org.apache.bcel.classfile.ConstantValue;
import org.apache.bcel.classfile.Deprecated;
import org.apache.bcel.classfile.EnclosingMethod;
import org.apache.bcel.classfile.ExceptionTable;
import org.apache.bcel.classfile.Field;
import org.apache.bcel.classfile.InnerClass;
import org.apache.bcel.classfile.InnerClasses;
import org.apache.bcel.classfile.JavaClass;
import org.apache.bcel.classfile.LineNumber;
import org.apache.bcel.classfile.LineNumberTable;
import org.apache.bcel.classfile.LocalVariable;
import org.apache.bcel.classfile.LocalVariableTable;
import org.apache.bcel.classfile.LocalVariableTypeTable;
import org.apache.bcel.classfile.Method;
import org.apache.bcel.classfile.MethodParameter;
import org.apache.bcel.classfile.MethodParameters;
import org.apache.bcel.classfile.Module;
import org.apache.bcel.classfile.ModuleExports;
import org.apache.bcel.classfile.ModuleMainClass;
import org.apache.bcel.classfile.ModuleOpens;
import org.apache.bcel.classfile.ModulePackages;
import org.apache.bcel.classfile.ModuleProvides;
import org.apache.bcel.classfile.ModuleRequires;
import org.apache.bcel.classfile.NestHost;
import org.apache.bcel.classfile.NestMembers;
import org.apache.bcel.classfile.ParameterAnnotationEntry;
import org.apache.bcel.classfile.ParameterAnnotations;
import org.apache.bcel.classfile.Signature;
import org.apache.bcel.classfile.SourceFile;
import org.apache.bcel.classfile.StackMap;
import org.apache.bcel.classfile.StackMapEntry;
import org.apache.bcel.classfile.Synthetic;
import org.apache.bcel.classfile.Unknown;

public interface Visitor {
  void visitAnnotation(Annotations paramAnnotations);
  
  void visitAnnotationDefault(AnnotationDefault paramAnnotationDefault);
  
  void visitAnnotationEntry(AnnotationEntry paramAnnotationEntry);
  
  void visitBootstrapMethods(BootstrapMethods paramBootstrapMethods);
  
  void visitCode(Code paramCode);
  
  void visitCodeException(CodeException paramCodeException);
  
  void visitConstantClass(ConstantClass paramConstantClass);
  
  void visitConstantDouble(ConstantDouble paramConstantDouble);
  
  default void visitConstantDynamic(ConstantDynamic constantDynamic) {}
  
  void visitConstantFieldref(ConstantFieldref paramConstantFieldref);
  
  void visitConstantFloat(ConstantFloat paramConstantFloat);
  
  void visitConstantInteger(ConstantInteger paramConstantInteger);
  
  void visitConstantInterfaceMethodref(ConstantInterfaceMethodref paramConstantInterfaceMethodref);
  
  void visitConstantInvokeDynamic(ConstantInvokeDynamic paramConstantInvokeDynamic);
  
  void visitConstantLong(ConstantLong paramConstantLong);
  
  void visitConstantMethodHandle(ConstantMethodHandle paramConstantMethodHandle);
  
  void visitConstantMethodref(ConstantMethodref paramConstantMethodref);
  
  void visitConstantMethodType(ConstantMethodType paramConstantMethodType);
  
  void visitConstantModule(ConstantModule paramConstantModule);
  
  void visitConstantNameAndType(ConstantNameAndType paramConstantNameAndType);
  
  void visitConstantPackage(ConstantPackage paramConstantPackage);
  
  void visitConstantPool(ConstantPool paramConstantPool);
  
  void visitConstantString(ConstantString paramConstantString);
  
  void visitConstantUtf8(ConstantUtf8 paramConstantUtf8);
  
  void visitConstantValue(ConstantValue paramConstantValue);
  
  void visitDeprecated(Deprecated paramDeprecated);
  
  void visitEnclosingMethod(EnclosingMethod paramEnclosingMethod);
  
  void visitExceptionTable(ExceptionTable paramExceptionTable);
  
  void visitField(Field paramField);
  
  void visitInnerClass(InnerClass paramInnerClass);
  
  void visitInnerClasses(InnerClasses paramInnerClasses);
  
  void visitJavaClass(JavaClass paramJavaClass);
  
  void visitLineNumber(LineNumber paramLineNumber);
  
  void visitLineNumberTable(LineNumberTable paramLineNumberTable);
  
  void visitLocalVariable(LocalVariable paramLocalVariable);
  
  void visitLocalVariableTable(LocalVariableTable paramLocalVariableTable);
  
  void visitLocalVariableTypeTable(LocalVariableTypeTable paramLocalVariableTypeTable);
  
  void visitMethod(Method paramMethod);
  
  default void visitMethodParameter(MethodParameter obj) {}
  
  void visitMethodParameters(MethodParameters paramMethodParameters);
  
  default void visitModule(Module constantModule) {}
  
  default void visitModuleExports(ModuleExports constantModule) {}
  
  default void visitModuleMainClass(ModuleMainClass obj) {}
  
  default void visitModuleOpens(ModuleOpens constantModule) {}
  
  default void visitModulePackages(ModulePackages constantModule) {}
  
  default void visitModuleProvides(ModuleProvides constantModule) {}
  
  default void visitModuleRequires(ModuleRequires constantModule) {}
  
  default void visitNestHost(NestHost obj) {}
  
  default void visitNestMembers(NestMembers obj) {}
  
  void visitParameterAnnotation(ParameterAnnotations paramParameterAnnotations);
  
  void visitParameterAnnotationEntry(ParameterAnnotationEntry paramParameterAnnotationEntry);
  
  void visitSignature(Signature paramSignature);
  
  void visitSourceFile(SourceFile paramSourceFile);
  
  void visitStackMap(StackMap paramStackMap);
  
  void visitStackMapEntry(StackMapEntry paramStackMapEntry);
  
  void visitSynthetic(Synthetic paramSynthetic);
  
  void visitUnknown(Unknown paramUnknown);
}
